Subject: FEM C++ & DsTool working on Linux
From: [email-masked] (Tom Ward)
Date: Mon, 21 Mar 1994 16:35:45 GMT
Newsgroups: comp.os.linux.announce

FEM-C++
I've today compiled Michael Tiller's C++ Finite Elemment Library,
from what I read in the included documentation it seems
well thought out, not just as a finite element class, its
base classes seem to allow for a dynamic system derivation.
The adjustments are shown at the end.

DSTOOL
John Guckenheimer's Dstool also compiles, you'll nee the
XView port, I have XView3L5. This is an excellent analysis
tool for dynamic systems, its a simulation approach so non-
linearities are no problem. The code is C you need to write
C code to define your system, the interface is well clear
and quite object oriented so its no problem. Although its
a simulation you can analyse systems in real time (even
on my 386sx40). The authors are no mathematical slouches,
check out some of their publications, and so the system is
very powerfull, whilst still being EASY and pleasant to use.
The only thing lacking is a provision for stochastic processes
but perhaps it could be added, the system is very extensible.

C++ WRAPPER
I've a few simple classes to provide an interface to dstool.
If anyone's interested mail me (I don't read the news often),
likewise I'd appreciate some help with the classes.

COMPILING MICHAEL TILLERS C++ FEM________________
I'm using Linux 0.99.14 and GCC 2.4.5

A.
The make files all look for headers in /usr/include/CC
which on my system (from a December 93 Slackware) doesn't
exist. I needed a link:

ln -bisv /usr/include /usr/include/CC

Likewise you need to specify where to find g++ includes
but the docs in the tar file tell you about this.

B.
The Make runs some tests, g++ failed after Test5. The test
programs compile OK and seem to give the correct results,
so I ran a make from their own subdirectory, worked fine.
I've no idea why g++ stopped here???????

C.
You'll see the error

Scalar operator -= doesn't work     //or something similar

Its from the source, obviously its not implemented yet.

D.
1. SparseMatrix.c  	comment out the atoi declarations
2. Banded.c  		comment out #include prof.h
___________________________________________________________

-- 
Tom Ward